complexType "RelativeDateSequence"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | dateRelativeTo, dateOffset+, (businessCentersReference | businessCenters)?
</...>

Content Model Elements (4):

  businessCenters (defined in BusinessCentersOrReference.model group),
  businessCentersReference,
  dateOffset,
  dateRelativeTo (defined in RelativeDateSequence complexType)

All Direct / Indirect Based Elements (2):

  relativeDateSequence (defined in AdjustableRelativeOrPeriodicDates complexType),
  relativeDateSequence (in valuationDate defined in EquityValuation complexType)

Known Usage Locations

- As direct type of elements (2):
  relativeDateSequence (defined in AdjustableRelativeOrPeriodicDates complexType),
  relativeDateSequence (in valuationDate defined in EquityValuation complexType)

Annotation
A type describing a date when this date is defined in reference to another date through one or several date offsets.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RelativeDateSequence"> <xsd:sequence> <xsd:element name="dateRelativeTo" type="DateReference"/> <xsd:element maxOccurs="unbounded" name="dateOffset" type="DateOffset"/> <xsd:group minOccurs="0" ref="BusinessCentersOrReference.model"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
dateOffset

  Type: | DateOffset, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" name="dateOffset" type="DateOffset"/>

dateRelativeTo

  Type: | DateReference, empty content

  Specifies the anchor as an href attribute. The href attribute value is a pointer style reference to the element or component elsewhere in the document where the anchor date is defined.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="dateRelativeTo" type="DateReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.